#### D.3.2.13 gauss_nf

Procedure from library `linalg.lib` (see linalg_lib).

Usage:
  gauss_nf(A); A any constant matrix

Return:
  matrix; gauss normal form of A (uses gaussred)

Example:

    LIB "linalg.lib";
    ring r = 0,(x),dp;
    matrix A[4][4] = 1,4,4,7,2,5,5,4,4,1,1,3,0,2,2,7;
    print(gauss_nf(A));
    ==> 1,4, 4, 7,
    ==> 0,-3,-3,-10,
    ==> 0,0, 0, 25,
    ==> 0,0, 0, 0

User manual for Singular version 4.4.1, 2025, generated by texi2html.